#include "Executor.hpp"
Executor::Executor(int size,std::unordered_map<uint32_t, RdmaSalEndpoint *> *qpSalEndpointMap)
    : _size(size), _qpSalEndpointMap(qpSalEndpointMap)
{
    _taskQueue = new ConcurrentQueue<struct ibv_wc *>();
    _taskThreads = new std::vector<TaskThread *>();
    _taskThreads->reserve(size);
    for (int i = 0; i < _size; i++)
    {
        TaskThread *thread = new TaskThread(i, _taskQueue, _qpSalEndpointMap);
        _taskThreads->push_back(thread);
    }
}
 void Executor::submit(struct ibv_wc *task)
{
    _taskQueue->push(task);
}
void Executor::getTask()
{
}