#include <iostream>
#include "RdmaServerEndpointGroup.hpp"
#include "RdmaClientEndpointGroup.hpp"
#include "RdmaEndpoint.hpp"
#include "Executor.hpp"

#include "rocksdb/db.h"
#include "rocksdb/slice.h"
#include "rocksdb/options.h"

int main()
{
    RdmaClientEndpointGroup *clgroup = new RdmaClientEndpointGroup(5, 5, 5, 50, 50, 0, 1000);
    clgroup->start();
     RdmaClientEndpoint *clientEp = clgroup->createEndpoint();
    clientEp->connect("192.168.200.20", "1921", "fol");
    while (!clientEp->isConnected());
    std::cout << "client : connected" << std::endl;

    RdmaServerEndpointGroup *sgroup = new RdmaServerEndpointGroup(5, 5, 5, 50, 50);
    sgroup->createExecutor(4);
    sgroup->bind("192.168.200.20", "1920", 2);
    sgroup->startCmProcessor(false);
    std::cout << "rhdhj" << std::endl;
    while (1)
        ;
}